What is the script to create DBMS_STANDARD package?
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 6 of 6

Thread: What is the script to create DBMS_STANDARD package?

Hybrid View

  1. #1

    Question

    Hello pals,

    I installed Oracle 8.1.7.0.0 on Windows NT, I added Oracle Web DB to it. After installing everything I realised some of my DBMS packages were missing and when I tried to run catalog.sql and catproc.sql I got a few error messages.

    One such error message says

    ORA-06554: package DMBS_STANDARD must be created before using PL/SQL

    I guess I cannot create the DBMS_APPLICATION_INFO without creating DBMS_STANDARD.

    What is the script that I run to create the above and other missing packages?

    Thanks in advance,
    -Shyami
    ------------------------------------------
    Shyami.S.Seelan, OCP 8i, 9i DBA
    Dublin, Ireland.
    http://www.geocities.com/shyamiseelan/OCP
    ------------------------------------------

  2. #2
    Join Date
    Jul 2002
    Location
    Lincolnshire, IL
    Posts
    203
    Normally all the packages are installed during running catproc.sql but as you said you faced some problem while running catproc.sql, try running dbmsapin.sql. Before that are you sure you are running scripts in sys schema...
    Sandy
    "Greatest Rewards come only with Greatest Commitments!"

  3. #3
    Thanks Sandycrab!

    I still have a problem though!! The script tries to create DBMS_APPLICATION_INFO ! I get an error saying so I have to find the script to create DBMS_STANDARD first

    ORA-06554: package DBMS_STANDARD must be created before using PL/SQL

    As an add on... I found the Dbmsstdx.sql but I get error messases when I run this!

    ORA-06553: PLS-213: package STANDARD not accessible

    I used standard.sql to create the STANDARD package and I get

    Warning: Package created with compilation errors

    ORA-06553: PLS-213: package STANDARD not accessible

    And if I try to compile STANDARD through TOAD I get

    The following error has occurred:

    PACKAGE SYS.STANDARD
    On line: 0
    PLS-00707: unsupported construct or internal error [2603]



    Details:
    PACKAGE SYS.STANDARD
    On line: 0
    PLS-00707: unsupported construct or internal error [2603]

    Do I have to install the whole stuff again?

    Help!!!

    have a nice day,
    -Shyami




    [Edited by Shyamis on 08-29-2002 at 12:34 PM]
    ------------------------------------------
    Shyami.S.Seelan, OCP 8i, 9i DBA
    Dublin, Ireland.
    http://www.geocities.com/shyamiseelan/OCP
    ------------------------------------------

  4. #4
    Join Date
    Aug 2002
    Location
    Atlanta
    Posts
    1,187
    what user are u running these scripts as?

    if you have ever run them as any other user than sys than you have objects that need to be removed. If you ran these scripts as SYSTEM you are in the same boat.

    steve
    I'm stmontgo and I approve of this message

  5. #5
    Join Date
    Jul 2002
    Location
    Lincolnshire, IL
    Posts
    203
    Do one thing...run catalog.sql and catproc.sql again . Plz make sure you are running these scripts in SYS schema.
    Sandy
    "Greatest Rewards come only with Greatest Commitments!"

  6. #6
    I am running these scripts as SYS. Will try running the catlog.sql and catproc.sql scripts again and let you guys know. Thanks for all the replies.

    have a nice day,
    -Shyami
    ------------------------------------------
    Shyami.S.Seelan, OCP 8i, 9i DBA
    Dublin, Ireland.
    http://www.geocities.com/shyamiseelan/OCP
    ------------------------------------------

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Click Here to Expand Forum to Full Width